bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

Intermittent OSX <Error>: {CGBitmapContextGetWidth,CGBitmapContextGetHeight}: invalid context 0x0. This is a serious error.

RESOLVED FIXED in Firefox 57

Status

()

Core
Graphics
P3
normal
RESOLVED FIXED
11 months ago
10 months ago

People

(Reporter: aryx, Assigned: mstange)

Tracking

({intermittent-failure})

unspecified
mozilla57
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox57 fixed)

Details

(Whiteboard: [gfx-noted])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

https://treeherder.mozilla.org/logviewer.html#?job_id=124827804&repo=autoland

03:29:43     INFO - TEST-START | layout/style/test/chrome/test_display_mode.html
03:29:43     INFO - GECKO(1735) | ++DOMWINDOW == 31 (0x129cec800) [pid = 1735] [serial = 31] [outer = 0x11d982000]
03:29:44     INFO - GECKO(1735) | ++DOCSHELL 0x11d91f000 == 7 [pid = 1735] [id = {5189e76c-751a-6847-88a0-bcb6c5e22aa0}]
03:29:44     INFO - GECKO(1735) | ++DOMWINDOW == 32 (0x11d97f800) [pid = 1735] [serial = 32] [outer = 0x0]
03:29:44     INFO - GECKO(1735) | [1735] WARNING: NS_ENSURE_TRUE(aSecondURI) failed: file /home/worker/workspace/build/src/dom/base/ThirdPartyUtil.cpp, line 98
03:29:44     INFO - GECKO(1735) | --DOMWINDOW == 31 (0x12cc81800) [pid = 1735] [serial = 7] [outer = 0x0] [url = about:blank]
03:29:44     INFO - GECKO(1735) | ++DOMWINDOW == 32 (0x11de0c800) [pid = 1735] [serial = 33] [outer = 0x11d97f800]
03:29:44     INFO - GECKO(1735) | --DOCSHELL 0x129b5e800 == 6 [pid = 1735] [id = {45774593-a18b-4c43-92b3-fa4091e3c930}]
03:29:46     INFO - GECKO(1735) | Aug 22 03:29:46 t-yosemite-r7-0091.test.releng.scl3.mozilla.com firefox[1735] <Error>: CGBitmapContextGetWidth: invalid context 0x0. This is a serious error. This application, or a library it uses, is using an invalid context  and is thereby contributing to an overall degradation of system stability and reliability. This notice is a courtesy: please fix this problem. It will become a fatal error in an upcoming update.
03:29:46     INFO - GECKO(1735) | Aug 22 03:29:46 t-yosemite-r7-0091.test.releng.scl3.mozilla.com firefox[1735] <Error>: CGBitmapContextGetHeight: invalid context 0x0. This is a serious error. This application, or a library it uses, is using an invalid context  and is thereby contributing to an overall degradation of system stability and reliability. This notice is a courtesy: please fix this problem. It will become a fatal error in an upcoming update.
03:29:46     INFO - GECKO(1735) | Aug 22 03:29:46 t-yosemite-r7-0091.test.releng.scl3.mozilla.com firefox[1735] <Error>: CGBitmapContextGetWidth: invalid context 0x0. This is a serious error. This application, or a library it uses, is using an invalid context  and is thereby contributing to an overall degradation of system stability and reliability. This notice is a courtesy: please fix this problem. It will become a fatal error in an upcoming update.
03:29:46     INFO - GECKO(1735) | Aug 22 03:29:46 t-yosemite-r7-0091.test.releng.scl3.mozilla.com firefox[1735] <Error>: CGBitmapContextGetHeight: invalid context 0x0. This is a serious error. This application, or a library it uses, is using an invalid context  and is thereby contributing to an overall degradation of system stability and reliability. This notice is a courtesy: please fix this problem. It will become a fatal error in an upcoming update.
03:29:47     INFO - GECKO(1735) | JavaScript error: chrome://browser/content/browser-fullScreenAndPointerLock.js, line 81: NS_ERROR_MALFORMED_URI: Component returned failure code: 0x804b000a (NS_ERROR_MALFORMED_URI) [nsIIOService2.newURI]

Comment 1

11 months ago
3 failures in 908 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3

Platform breakdown:
* osx-10-10: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1392574&startday=2017-08-21&endday=2017-08-27&tree=all
Summary: Intermittent OSX <Error>: CGBitmapContextGetWidth: invalid context 0x0. This is a serious error. → Intermittent OSX <Error>: {CGBitmapContextGetWidth,CGBitmapContextGetHeight}: invalid context 0x0. This is a serious error.
Bisection on Treeherder is pointing at bug 1390888 as the culprit. Even if the error isn't at severe as claimed, it's still extremely spammy in the logs and makes it hard to see real failures as a result. Markus, can you please take a look when you get a chance? Thanks!
Blocks: 1390888
Flags: needinfo?(mstange)

Comment 3

11 months ago
3 failures in 939 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1392574&startday=2017-08-28&endday=2017-09-03&tree=all

Updated

11 months ago
Whiteboard: [gfx-noted]
Comment hidden (mozreview-request)
Priority: -- → P3

Comment 5

10 months ago
mozreview-review
Comment on attachment 8905510 [details]
Bug 1392574 - Don't attempt to composite a titlebar image if we don't have any.

https://reviewboard.mozilla.org/r/177330/#review182502
Attachment #8905510 - Flags: review?(matt.woodrow) → review+
Thanks for the fix, Markus!
Assignee: nobody → mstange
Flags: needinfo?(mstange)

Comment 7

10 months ago
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/1a536787340c
Don't attempt to composite a titlebar image if we don't have any. r=mattwoodrow
https://hg.mozilla.org/mozilla-central/rev/1a536787340c
Status: NEW → RESOLVED
Last Resolved: 10 months ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla57

Comment 9

10 months ago
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1392574&startday=2017-09-04&endday=2017-09-10&tree=all
You need to log in before you can comment on or make changes to this bug.